Subject: Re: bug#66149: Mistyping a search breaks keyboard macro

From: Konstantin Kharlamov <[email-masked]>
Date: Sat, 23 Sep 2023 10:14:59 +0300

On Fri, 2023-09-22 at 18:41 +0300, Juri Linkov wrote:
> >
> I have no opinion whether 'ding' should terminate kbd macro or not.
> But it's possible to customize 'isearch-wrap-pause' to 'no-ding'
> to not ding on isearch failure, then kbd macro is not terminated.

Oh, thank you! So for example, having the following code in the init
file works around the problem:

    (defadvice kmacro-call-macro (around align-regexp-with-spaces activate)
      (let ((isearch-wrap-pause 'no-ding))
        ad-do-it))

I'll post an answer about that on the emacs.stackexchange then.